*{
margin: 0;
padding: 0;
box-sizing: border-box;
}
body{
    height: auto;
    width: 100vw;
    border: 1px solid black;
    font-family:"Segoe UI", "Roboto", "Open Sans", sans-serif;
}
nav{
    width: 100vw;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background-color: black;
    position: sticky;
    top: 0;
    z-index: 1000;
    
}


.humburger{
     position: relative;
     display:none;
     overflow: visible;
      box-shadow: none;
   
}

.hum{
height:auto;
position: absolute;
display:none;
padding: 1rem;
width: 80vw;
right: 0;
top: 9vw;
 background-color: black;
font-size: 1rem;
 font-family:"Segoe UI", "Roboto", "Open Sans", sans-serif;
box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;

}

.humburger:hover .hum{
    display: block;
    z-index: 100;

}
.hum a{
    color:white;
    display: block;
    gap: 1rem;
    padding: 0.5rem;
}

.hum a:hover{
   background-color: rgb(206, 199, 199);
}
.toggle{
    font-size: 2rem;
    color:white;
}
.image{
width: 5vw;
}
.image img{
    width: 4vw;
}
ul{
   display: flex;
   align-items: center;
   justify-content: space-around;
   width: 70vw;
   height: 9vh;
}
li{
    list-style: none;
}
li a{
   color: rgb(160, 152, 152); 
   font-size: 1.3rem;
}
li a:hover{
   color:white; 
   font-size: 1.3rem;
   text-decoration: underline;
}
a{
    text-decoration: none;
}
.container-1{
    width: 100vw;
    height: 6vh;
    display: flex;
    gap: 0.3rem;
    align-items: center;
    justify-content: center;
    color: white;
    background-color: #999;
}
.container-1 p{
 font-size: 1.1rem;
}
.container-1 a{
 font-size: 1.1rem;
 text-decoration: underline;
 color:#EEEEEE;
}
 .dropdown-1{
    /* position: relative; */
    overflow: visible;

 }

    .drop-container{
        position: absolute;
        height: auto;
        width: 100vw;
        display:none;
        background-color:rgb(36, 35, 35);
        left: 0;
         display: none;
         flex-direction: row;
        transition: all 0.3s ease-in-out;

       } 
       .column-1{
        height: auto;
        width: 40vw;
        display: flex;
        align-items: center; 
       flex-direction: column; 
    }

.range-1 {
  height: 70vh;
  display: flex;
  flex-direction: column;
  width: 20vw;
  padding-left: 1rem;
  font-size: 1.2rem;
  color: white;
  line-height: 2.2;
  overflow-y: scroll;
  direction: rtl;
  text-align: left;       
  scrollbar-width: thin; 
  scrollbar-color: #888 #222; 
}
.range-1 p{
color: #aba4a4;
}
.range-1 a{
  color: white;
}
.textpart-1:hover{
  color: green;
  text-decoration: none;

}
.range-1::-webkit-scrollbar {
  width: 1vw;

}

.range-1::-webkit-scrollbar-track {
  background: #222;
}
.range-1::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius:0.4rem;
  border: 2px solid #222;
}
.column-2{
        height: auto;
        width: 40vw;
        padding: 1rem;
        font-size: 1.2rem;
        gap: 2rem;
        display: flex; 
       flex-direction: column; 
       cursor: pointer;
    }
.column-2 a{
      color: white;
      text-decoration: none;
    }
    .column-2 a:hover{
      color: green;
      text-decoration:underline;
    }
    .column-2 p{
   color: #aba4a4;
     
    }


.dropdown-1:hover .drop-container {
  display: flex;
  transition: all 0.4s ease-in;
}
.hide{
    height: 0.2vw;
    border: none;
     border-radius: 1rem;
    background-color: green;
}
header{
  width: 100vw;
 height: 80vh;
 background-image: url("https://assets2.razerzone.com/images/pnx.assets/5f5599a5e8d73a479aff809ab38e861f/borderlands-razer-custom-v2-desktop2x.webp");
background-size: 100vw 80vh;
background-repeat: no-repeat;
object-fit: cover;
cursor: pointer;

}
.container-2{
  height: auto;
  width: 40vw;
  color: white;
  margin: auto;
text-align: center;
padding-top: 2rem;
line-height: 1.8;
}
.box-1{
  width: 10vw;
  height: auto;
  font-size: 1.2rem;
  font-weight: 500;
  background-color: orange;
  border-radius: 0.2rem;
  margin: auto;
}
.box-1 a{
color: black;
}
.container-2 h1{
  font-size: 2.7rem;

}
.container-2 h3{
  font-size: 1.4rem;
}
 .shop{
 font-size: 1.5rem;
 color: white;
} 
.shop:hover{

text-decoration: underline;
} 
.col{
color: green;
font-size: 1.5rem;
}
.header-2{
  width: 100vw;
 height: 80vh;
 background-image: url("https://assets2.razerzone.com/images/pnx.assets/5f5599a5e8d73a479aff809ab38e861f/holiday-gift-guide-2025-homepage-large-2x.webp");
background-size: 100vw 80vh;
background-repeat: no-repeat;
object-fit: cover;
cursor: pointer;

}
.header-3{
  width: 100vw;
 height: 80vh;
 background-image: url("https://assets2.razerzone.com/images/pnx.assets/5f5599a5e8d73a479aff809ab38e861f/black-friday-razer-blades-desktop2x.webp");
background-size: 100vw 80vh;
background-repeat: no-repeat;
object-fit: cover;
cursor: pointer;

}
.wrap-container{
  height: auto;
  display: flex;
  flex-wrap: wrap;
  gap: 1REM;
  background-color: rgb(28, 28, 28);
}
.wrap-1{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/87bf89b289935857332fe03d4c582946/razer-huntsman-v3-pro-8khz-line-b-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
.textwrap-1{
  text-align: center;
  margin: auto;
  height: auto;
  width: 40vw;
  color: white;
  padding-top: 0.4rem;
  line-height: 1.4;
}
.textwrap-1 h2{
 font-size: 2.5rem;
 font-weight: 500;
}
.textwrap-1 h4{
 font-size: 2rem;
 font-weight: 300;
}
.wrap-2{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/87bf89b289935857332fe03d4c582946/counter-strike-2-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
.wrap-3{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/87bf89b289935857332fe03d4c582946/intel-holiday-bundle-b-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
.wrap-4{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/87bf89b289935857332fe03d4c582946/the-running-man-b-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
.wrap-5{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/87bf89b289935857332fe03d4c582946/razer-and-joola-b-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
.wrap-6{
  height: 70vh;
  width: 49vw;
  background-image: url("https://assets2.razerzone.com/images/pnx.assets/d4095765ee611f15906706633922d326/razer-20th-anni-b-950x580-desktop.webp");
  background-repeat: no-repeat;
  background-size: 50vw 70vh;
}
footer{
  height: auto;
  width: 100vw;
  background-color: rgb(35, 33, 33);
  padding: 1rem;
}
.footerpart-1{
  height: auto;
  width: 80vw;
  margin: auto;
  color: white;
  display: flex;
  justify-content: space-between;
  gap: 1rem;
}
.part-1{
display: flex;
flex-direction: column;
gap: 0.9rem;
}
.part-1 a{
color: #999;
}
.part-1 a:hover{
color:white;
text-decoration: underline;
}
.color{
  font-size: 1.3rem;
  color: green;
}

.hr-1{
 
  height: 2px;
  border: none;
  width: 81vw;
  background-color: #696767;
  margin: auto;
  bottom:1rem;
}
.footerpart-2{
   height: auto;
  width: 80vw;
  margin: auto;
color: #696767;
  display: flex;
  padding-top: 1rem;
  justify-content: space-between;
}
.lastpart{
  display: flex;
  gap: 1rem;
}
.lastpart a{
color: #696767;
}
.lastpart a:hover{
color:white;
text-decoration: underline;
}
@media (max-width: 1024px) {
  nav {
  
    height: 10vh;
    padding: 1rem;
  }
li a{
   color: rgb(160, 152, 152); 
   font-size: 0.8rem;
}
  ul {
    gap: 0.3rem;
  }

  .container-2 h1 {
    font-size: 2rem;
  }

  .wrap-1,
  .wrap-2,
  .wrap-3,
  .wrap-4,
  .wrap-5,
  .wrap-6 {
     width: 100%;
     height: 70vh;
    background-size: 100% 100%;
  }
footer{
  width: 100%;
}
.footerpart-1,.footerpart-2{
  width: 100%;
}
.hr-1{
  width: 100%;
}
.color{
  font-size: 0.8rem;
}
.textwrap-1 h2 {
    font-size: 1.5rem;
  }

  .textwrap-1 h4 {
    font-size: 1.9rem;
  }
  .container-2{
    width: 100%;
  }
.container-2 h1 {
    font-size: 2rem;
  }
.container-2 h3 {
    font-size: 1.5rem;
  }
.box-1 {
    width: 30%;
    font-size: 1rem;
  }
}

/* Mobile */
@media (max-width: 768px) {
  nav {
    flex-direction: row;
    justify-content: space-between;
    height:7vh;
    padding: 0rem;
  }
  nav img{
    width: 80%;
  }
  ul{
    display: none;
  }
.humburger{
  display: block;
}
.toggle{
font-size: 2rem;
}
li a {
     font-size: 1rem;
  }

.container-1{
  width: 100%;
  display: flex;
flex-wrap: wrap;
  height: auto;
}
.container-1 p{
 font-size: 1rem;
}
.container-1 a{
 font-size: 1rem;
}
  .container-2 {
    width: 90%;
  }
.box-1 {
    width: 40%;
    font-size: 1rem;
  }
  .wrap-1,
  .wrap-2,
  .wrap-3,
  .wrap-4,
  .wrap-5,
  .wrap-6 {
     width: 100%;
     height: 70vh;
    background-size: 100% 100%;
  }

  .textwrap-1 h2 {
    font-size: 1.5rem;
  }

  .textwrap-1 h4 {
    font-size: 1.1rem;
  }

  .footerpart-1,
  .footerpart-2 {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .image img {
    width: 100%;
  }
}

/* Small Mobile */
@media (max-width: 424px) {
  nav {
    flex-direction: row;
    justify-content: space-between;
    height:7vh;
    padding: 0rem;
  }
  nav img{
    width: 70%;
  }
  .image img{
    width: 130%;
  }
  ul{
    display: none;
  }
.humburger{
  display: block;
}
.toggle{
font-size: 2rem;
}
.container-1{
  width: 100%;
  display: flex;
flex-wrap: wrap;
  height: auto;
}
.container-1 p{
 font-size: 0.6rem;
}
.container-1 a{
 font-size: 1rem;
}
  .container-2 {
    width: 90%;
  }
  .hide{
    width: 100%;
   height: 3px;
  }

  .container-2 h1 {
    font-size: 1.5rem;
  }

  .box-1 {
    width: 50%;
    font-size: 1rem;
  }
  header,.header-2,.header-3{
    width: 100%;
    background-size: 100% 100%;
  }
  .wrap-container{
    width: 100%;
    height: auto;
    flex-wrap: wrap;
  }

  .wrap-1,
  .wrap-2,
  .wrap-3,
  .wrap-4,
  .wrap-5,
  .wrap-6 {
    width: 100%;
    height: 70vh;
    background-size: 100% 100%;
  }
  .textwrap-1{
  text-align: center;
  width: 100%;
  
}
.textwrap-1 h2{
 font-size: 2rem;
 font-weight: 500;
}
.textwrap-1 h4{
 font-size: 1.5rem;
 font-weight: 300;
}
  footer {
    font-size: 0.9rem;
  }
  .hr-1{
    width: 100%;
  }
}